%global plugin_name     sc
%global libdvbcsa       0

Name:           vdr-sc
Version:        1.0.0
Release:        5%{?dist}
Summary:        VDR sc plugin
Group:          Applications/Multimedia
License:        GPLv2+
URL:            https://github.com/3PO/vdr-plugin-sc

Source0:        vdr-plugin-sc-%{version}.tar.xz
Patch0:		vdr-sc-makefile-fix.patch
Patch1:		vdr-sc-arm.patch

Requires:	vdr(abi)%{?_isa} = %{vdr_apiversion}
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  vdr-devel >= 1.6.0
%if 0%{?libdvbcsa}
BuildRequires:  libdvbcsa-devel
%endif

%description
A softcam plugin for VDR.

%prep
%setup -q -n vdr-plugin-sc-%{version}
%patch0 -p1
%patch1 -p1

%build
make %{?_smp_mflags} CFLAGS="-Wno-narrowing" \
%if 0%{?libdvbcsa}
LIBDVBCSA=1
%endif

%install
%make_install
install -dm 755 %{buildroot}%{vdr_configdir}/plugins/%{plugin_name}
touch %{buildroot}%{vdr_configdir}/plugins/%{plugin_name}/cardclient.conf
%find_lang %name

%files -f %{name}.lang
%doc COPYING HISTORY README README.CCcam README.FFdecsa
%{vdr_plugindir}/libvdr-%{plugin_name}.so.%{vdr_apiversion}
%{vdr_plugindir}/libsc-*.so.%{vdr_apiversion}
%defattr(-,vdr,video,-)
%dir %{vdr_configdir}/plugins/%{plugin_name}
%config(noreplace) %{vdr_configdir}/plugins/%{plugin_name}/cardclient.conf
%ghost %{vdr_configdir}/plugins/%{plugin_name}/ecm.cache

%changelog
